Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/lbzip2: new aport

From: mixja <justin.menga_at_gmail.com>
Date: Sun, 10 Apr 2016 14:54:17 +0000

http://lbzip2.org
lbzip2 - A parallel bzip2 compression utility
---
 testing/lbzip2/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/lbzip2/APKBUILD
diff --git a/testing/lbzip2/APKBUILD b/testing/lbzip2/APKBUILD
new file mode 100644
index 0000000..0a1d5b0
--- /dev/null
+++ b/testing/lbzip2/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Justin Menga <justin.menga_at_gmail.com>
+# Maintainer: Justin Menga <justin.menga_at_gmail.com>
+pkgname=lbzip2
+pkgver=2.5
+pkgrel=0
+pkgdesc="A parallel bzip2 compression utility"
+url="http://lbzip2.org"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://archive.lbzip2.org/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr
+        make
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="$pkgdir/" install
+}
+md5sums="3ea4796a9c3941cef1dce1fa7f5b7410  lbzip2-2.5.tar.gz"
+sha256sums="46c75ee93cc95eedc6005625442b2b8e59a2bef3ba80987d0491f055185650e9  lbzip2-2.5.tar.gz"
+sha512sums="76e96cfa75b3ed515b2f891349dffc1403daab2dd0a2a614fa0c811cec6ca25faa395da08ad68a9b6ba4069332c4571f70fb7424f06ef3d800c3082c08d7d3d7  lbzip2-2.5.tar.gz"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 10 2016 - 14:54:17 GMT